pkgname=python-pulsectl-asyncio
_name=${pkgname#python-}
pkgver=1.1.1
pkgrel=1
pkgdesc="Asyncio frontend for pulsectl, a Python bindings library for PulseAudio (libpulse)"
arch=('x86_64')
url="https://github.com/mhthies/pulsectl-asyncio"
license=('MIT')
depends=('python>=3.6' 'python-pulsectl>=1:23.5.2')
makedepends=(python-build python-installer python-wheel)
source=("https://github.com/mhthies/${_name}/archive/refs/tags/v${pkgver}.tar.gz")
sha256sums=('45592043f3a042693c4285164bf83f80ef94c22cde5e6b4a13d772f1827c0d99')

build() {
  cd "$_name-$pkgver"
  python -m build --wheel --no-isolation
}

package() {
  cd "$_name-$pkgver"
  python -m installer --destdir="$pkgdir" dist/*.whl
}

check() {
  cd "$srcdir/$_name-$pkgver"
  ls .
  python -m unittest
}
